Loading...
Searching...
No Matches
stack_allocator< T >::handler_type

## Detailed Description

template<typename T>
struct rheolef::stack_allocator< T >::handler_type

Definition at line 158 of file stack_allocator.h.

## Public Member Functions

| handler_type ()
| handler_type (unsigned char *stack1, size_t size1)
| ~handler_type ()

## Public Attributes

unsigned char * | stack
size_t | allocated_size
size_t | max_size
size_t | reference_count

## Constructor & Destructor Documentation

## handler_type() [1/2]

template<typename T >

handler_type | ( |  | ) |

Definition at line 164 of file stack_allocator.h.

## handler_type() [2/2]

template<typename T >

handler_type | ( | unsigned char * | stack1,
|  | size_t | size1
| ) |  |

Definition at line 172 of file stack_allocator.h.

## ~handler_type()

template<typename T >

~handler_type | ( |  | ) |

Definition at line 180 of file stack_allocator.h.

## Member Data Documentation

## stack

template<typename T >

unsigned char* stack

Definition at line 159 of file stack_allocator.h.

## allocated_size

template<typename T >

size_t allocated_size

Definition at line 160 of file stack_allocator.h.

## max_size

template<typename T >

size_t max_size

Definition at line 161 of file stack_allocator.h.

## reference_count

template<typename T >

size_t reference_count

Definition at line 162 of file stack_allocator.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/util/lib/stack_allocator.h